wanting to jailbreak a 3gs running 3.0.1

Discussion in 'Jailbreaks and iOS Hacks' started by nyc iphone user, Jul 10, 2010.

  1. nyc iphone user macrumors newbie

    Joined:
    Jul 10, 2010
    #1
    So I never updated my software I am still on 3.0.1 but I would really like to get the benefits of 4. So I would like to jailbreak my iphone but I have never done so before. I have read a lot of documentation about upgrading from other versions of 3.1 but nothing for 3.0.1

    My model # is MB717LL and the modem firmware is 04.26.08

    I tried seraching for 3.0.1 on the search here but it didn't work.

    Any help would be much appreciated.
     
  2. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #2
    You can use blackrain to JB it on 3.0.1
    And then create a custom 4.0 IPSW with pwnage tool.
    Then update your JB 3.0.1 to that custom 4.0 thru itunes.
     
  3. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #3
    I would recommend using Redsn0w to JB it on 3.0.1 as it has fewer issues than Blackra1n.

    Then do as AppleJuiced says.
     
  4. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #4
    True, but he's just going to update it to custom ipsw with pwnage right after so I dont think any issues will carry over.
    But either way :)
     
  5. nyc iphone user thread starter macrumors newbie

    Joined:
    Jul 10, 2010
    #5
    thanks for the advice. But I am on g5 10.4.11 (the computer that has all my music and syncs to iphone). And Redsnow doesn't seem to work with a power pc. I tried using blackra1n i press make it rain and then the itunes logo come on with the white cord. So I hold down power and home and reboot and I'm back to my non JB phone. It appears the phone is back to normal. Any suggestions to get blackra1n to work?

    I never actually get to a screen on my phone that shows it jailbreaking ( I read you should see a pic of geohot).

    thanks
     
  6. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #6
    You will probably need to get an updated computer to run these newest tools.

    That's why I upgraded to a MacBook from an iBook.
     
  7. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #7
    Yes, or do it on someone elses computer.
    It doesnt have to be a mac, windows computers will let you run blackrain and redsnow if you download the correct version.
    For pwnage you def need a newer mac though.
     
  8. nyc iphone user thread starter macrumors newbie

    Joined:
    Jul 10, 2010
    #8
    can i run blackra1n/redsn0w and then pwng tool on a new computer just for the update and then revert back to to my old g5 for normal daily syncing? Or once I run the software am I forced to sync to a newer computer?
     
  9. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #9
    No, once you're done with the JB tools using other computers you can sync and use your regural g5 and itunes again.
     
  10. nyc iphone user thread starter macrumors newbie

    Joined:
    Jul 10, 2010
    #10
    I need to download the 4.01 ipsw. So weird I can't find the IPSW in the normal place ~/Library/iTunes/iPhone Software Updates/

    I have hidden files on from terminal...

    So I just downloaded the firmware from a website for 4.0.1 and I am cooking that.

    Hopefully that works. Any suggestions?
     
  11. pixelated macrumors 6502a

    pixelated

    Joined:
    Oct 21, 2008
    #11
    i don't think pwnage tool has been updated to work with 4.0.1 yet, though give it a shot if you want.
    You may have to redo it with a 4.0 package
     
  12. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #12
    Yes, you will have to point it to 4.0 ipsw.
    You can download all official ipsw's here:
    http://www.iclarified.com/entry/index.php?enid=750
     

Share This Page